#############################################################################
# Makefile for building: libDrTuxTools.o.a
# Generated by qmake (1.05a) (Qt 3.1.2) on: Wed Jan 26 10:07:59 2005
# Project:  MedinTuxTools.pro
# Template: lib
# Command: $(QMAKE) -o Makefile MedinTuxTools.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(QTDIR)/mkspecs/default -I. -I$(QTDIR)/include
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = CHtmlTools.h \
		CMaskedLineEdit.h \
		CCoolPopup.h \
		CGestIni.h \
		CMedicaBase.h
SOURCES = CHtmlTools.cpp \
		CMaskedLineEdit.cpp \
		CCoolPopup.cpp \
		CGestIni.cpp \
		CMedicaBase.cpp
OBJECTS = CHtmlTools.o \
		CMaskedLineEdit.o \
		CCoolPopup.o \
		CGestIni.o \
		CMedicaBase.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_CMaskedLineEdit.cpp \
		moc_CCoolPopup.cpp
OBJMOC = moc_CMaskedLineEdit.o \
		moc_CCoolPopup.o
DIST	   = MedinTuxTools.pro
QMAKE_TARGET = DrTuxTools.o
DESTDIR  = 
TARGET   = libDrTuxTools.o.a

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)


mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: MedinTuxTools.pro  $(QTDIR)/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile MedinTuxTools.pro
qmake: 
	@$(QMAKE) -o Makefile MedinTuxTools.pro

dist: 
	@mkdir -p .tmp/DrTuxTools.o && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/DrTuxTools.o/ && ( cd `dirname .tmp/DrTuxTools.o` && $(TAR) DrTuxTools.o.tar DrTuxTools.o && $(GZIP) DrTuxTools.o.tar ) && $(MOVE) `dirname .tmp/DrTuxTools.o`/DrTuxTools.o.tar.gz . && $(DEL_FILE) -r .tmp/DrTuxTools.o

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

CHtmlTools.o: CHtmlTools.cpp CHtmlTools.h

CMaskedLineEdit.o: CMaskedLineEdit.cpp CMaskedLineEdit.h

CCoolPopup.o: CCoolPopup.cpp CCoolPopup.h

CGestIni.o: CGestIni.cpp CGestIni.h

CMedicaBase.o: CMedicaBase.cpp CMedicaBase.h \
		CGestIni.h

moc_CMaskedLineEdit.o: moc_CMaskedLineEdit.cpp CMaskedLineEdit.h 

moc_CCoolPopup.o: moc_CCoolPopup.cpp CCoolPopup.h 

moc_CMaskedLineEdit.cpp: $(MOC) CMaskedLineEdit.h
	$(MOC) CMaskedLineEdit.h -o moc_CMaskedLineEdit.cpp

moc_CCoolPopup.cpp: $(MOC) CCoolPopup.h
	$(MOC) CCoolPopup.h -o moc_CCoolPopup.cpp

####### Install

install: all 

uninstall: 

